summaryrefslogtreecommitdiffstats
path: root/btc
diff options
context:
space:
mode:
authortv <tv@xso>2011-08-24 16:45:00 +0200
committertv <tv@xso>2011-08-24 16:45:00 +0200
commitc37ab9c4accc58919e87ad4eee1ef19f49eed873 (patch)
treee640c348718e2a72770ce47d03e4549b6fbce80f /btc
parente7a148349ef3e1e4e1607fd29148bec51dc4ed82 (diff)
{btc -> gold} SC & co., we're ready
Diffstat (limited to 'btc')
-rw-r--r--btc/btcguild/index.js20
-rw-r--r--btc/mining/CONFIGURE8
-rw-r--r--btc/mining/Makefile20
-rw-r--r--btc/mining/README9
-rw-r--r--btc/mining/TODO2
-rwxr-xr-xbtc/mining/bin/archlinux-cruise-control70
-rwxr-xr-xbtc/mining/bin/ati_temper5
-rwxr-xr-xbtc/mining/bin/cleanup_tmp4
-rwxr-xr-xbtc/mining/bin/ensure-router36
-rwxr-xr-xbtc/mining/bin/ensure-wlan041
-rw-r--r--btc/mining/poll_btcguild2
-rw-r--r--btc/mining/user/.config/autostart/startup.desktop6
-rw-r--r--btc/mining/user/mining.ovdr16
-rwxr-xr-xbtc/mining/user/startup.sh13
-rwxr-xr-xbtc/mtgox/json_ticker_helper.py7
-rwxr-xr-xbtc/mtgox/mtgox.getDepth3
-rwxr-xr-xbtc/mtgox/mtgox.getTrades3
-rwxr-xr-xbtc/mtgox/mtgox.ticker4
-rwxr-xr-xbtc/mtgox/ticker_text.sh3
19 files changed, 0 insertions, 272 deletions
diff --git a/btc/btcguild/index.js b/btc/btcguild/index.js
deleted file mode 100644
index 1f33db06..00000000
--- a/btc/btcguild/index.js
+++ /dev/null
@@ -1,20 +0,0 @@
-api_key = process.env.api_key;
-
-var options = {
- host: 'www.btcguild.com',
- port: 80,
- path: '/api.php?api_key=' + api_key
-};
-
-http = require('http');
-http.get(options, function(res) {
- var data = '';
- res.on('data', function (chunk) {
- data += chunk;
- });
- res.on('end', function () {
- console.log(JSON.parse(data));
- });
-}).on('error', function(e) {
- console.error('Error: ' + e.message);
-});
diff --git a/btc/mining/CONFIGURE b/btc/mining/CONFIGURE
deleted file mode 100644
index 299cbd53..00000000
--- a/btc/mining/CONFIGURE
+++ /dev/null
@@ -1,8 +0,0 @@
-How to Configure
-===============
-
-1. change the mining-url in ~/startup.sh
-2. in KDE - 'AMDOverdriveCtrl - configure profile
-3. in KDE-Autostart - activate the startup script
-2. sudo /etc/init.d/gdm restart
-
diff --git a/btc/mining/Makefile b/btc/mining/Makefile
deleted file mode 100644
index 8701920f..00000000
--- a/btc/mining/Makefile
+++ /dev/null
@@ -1,20 +0,0 @@
-.PHONY: all format install configure
-select-target:
- @echo "You are made of stupid!"
- echo "look here"
- @cat Makefile
-format:
- cat README
-fix-linucCoin: configure
- apt-get install --yes lm-sensors tmux
- echo '#!/bin/bash' > /usr/bin/ati_license
- echo '#!/bin/sh' > /etc/init.d/live-boot
- echo 'wall "going down"' >> /etc/init.d/live-boot
- chmod 755 /etc/init.d/live-boot
- echo 'sudo tar xvf /opt/AMD-APP-SDK-v2.4-lnx64/icd-registration.tgz -C /' >> /usr/bin/ati_license
- cp -r user /home
-configure:
- yes '' | sensors-detect
- @cat CONFIGURE
-archlinux:
- bin/archlinux-cruise-control
diff --git a/btc/mining/README b/btc/mining/README
deleted file mode 100644
index ad8c3468..00000000
--- a/btc/mining/README
+++ /dev/null
@@ -1,9 +0,0 @@
-What to do:
-format the usb-stick:
-Device Boot Start End Blocks Id System
-/dev/sda1 * 1 254 976345 c W95 FAT32 (LBA)
-/dev/sda2 255 1017 2932972 83 Linux
-
-1. install coinlinux live system on sda1.
-2. mkfs.ext3 /dev/sda2 -L live-rw
-3. install grub on /dev/sda
diff --git a/btc/mining/TODO b/btc/mining/TODO
deleted file mode 100644
index bafaa72a..00000000
--- a/btc/mining/TODO
+++ /dev/null
@@ -1,2 +0,0 @@
-- fix the sed script in "make archlinux" to replace only the first occurrence
-- test the amdoverdrive stuff from the home dir (user)
diff --git a/btc/mining/bin/archlinux-cruise-control b/btc/mining/bin/archlinux-cruise-control
deleted file mode 100755
index de5a0fa4..00000000
--- a/btc/mining/bin/archlinux-cruise-control
+++ /dev/null
@@ -1,70 +0,0 @@
-#!/bin/bash
-set -euf
-export EDITOR=vim
-echo "!! ARCHLINUX Cruise Control Mining installer !!"
-echo "** adding main network profile"
-cp /etc/network.d/examples/ethernet-dhcp /etc/network.d/main
-echo 'POST_UP="sed -i \"1i nameserver 8.8.8.8\" /etc/resolv.conf"' >> /etc/network.d/main
-echo "** adding worker account"
-grep -q worker /etc/passwd || adduser worker
-gpasswd -a worker wheel
-gpasswd -a worker tty
-gpasswd -a worker audio
-gpasswd -a worker video
-gpasswd -a worker network
-gpasswd -a worker power
-
-echo "** adding archlinuxfr to pacman.conf"
-grep -q archlinuxfr /etc/pacman.conf || echo "[archlinuxfr]" >> /etc/pacman.conf && echo "Server = http://repo.archlinux.fr/x86_64" >> /etc/pacman.conf
-echo "** installing all the required parts"
-pacman --needed --noconfirm -Syu rsync git openssh yajl sudo tmux lm_sensors vim yaourt kernel26-headers beep
-echo "** doing some tweaks"
-rm /usr/bin/python -f
-ln -s /usr/bin/python2 /usr/bin/python
-echo "syntax on" > /home/worker/.vimrc
-echo "syntax on" > /root/.vimrc
-echo "** installing tinc"
-[ "`yaourt -Q tinc`" ] || yaourt -S --noconfirm tinc
-sed -i -e 's/.*\%wheel.*/%wheel ALL=(ALL) NOPASSWD: ALL/1' /etc/sudoers
-echo "** Installing ATI drivers"
-[ "`yaourt -Q catalyst-utils`" ] || yaourt -S --noconfirm catalyst-utils
-[ "`yaourt -Q catalyst-hook`" ] || yaourt -S --noconfirm catalyst-hook
-[ "`yaourt -Q amdstream`" ] || yaourt -S --noconfirm amdstream
-echo "** installing X"
-pacman --needed -S --noconfirm xorg-server xorg-apps xorg-appres xorg-xinit xautolock xlockmore xorg-fonts xorg-xhost xorg-xauth xterm rxvt-unicode fluxbox slim
-echo "** editing slim configuration"
-sed -i 's/.*default_user.*/default_user worker/' /etc/slim.conf
-sed -i 's/.*auto_login.*/auto_login yes/' /etc/slim.conf
-echo "** Installing mining tools and overclocking stuff"
-[ "`yaourt -Q phoenix-miner-svn`" ] || yaourt -S --noconfirm phoenix-miner-svn
-echo "!! warning, you might need to adjust the version number of AMDOverdriveCTRL !!"
-[ "`yaourt -Q amdoverdrivectrl`" ] || yaourt -S amdoverdrivectrl
-echo "** copying bin folder"
-cp -r $(readlink -f `dirname $0`)/ /home/worker
-echo "** creating new .Xauthority for worker"
-sudo -u worker /home/worker/bin/newkey.sh
-mkdir -p /home/worker/.fluxbox
-cp /krebs/mining/user/startup.sh /home/worker/startup.sh
-chmod a+x /home/worker/startup.sh
-cp /krebs/mining/user/startup.sh /home/worker/.fluxbox/startup
-chmod a+x /home/worker/.fluxbox/startup
-cp /krebs/mining/user/mining.ovdr /home/worker/
-chown -R worker:users /home/worker
-echo "configuring X"
-echo "!! ACTION REQUIRED, write down the first number of your ATI Graphics Adapter."
-echo "!! i will open /etc/X11/xorg.conf for you, change the BusID of every Device to the numbers you see here"
-echo "!! press enter to continue"
-lspci|grep VGA
-read
-aticonfig --initial=dual-head
-vim /etc/X11/xorg.conf
-echo "** creating xinitrc and start x"
-echo 'setxkbmap -option terminate:ctrl_alt_bksp' > /home/worker/.xinitrc
-echo 'xautolock -corners +-+- -locker "xlock -mode blank"&' >> /home/worker/.xinitrc
-echo '/home/worker/startup.sh &' >> /home/worker/.xinitrc
-echo 'xterm &' >> /home/worker/.xinitrc
-echo 'exec fluxbox' >> /home/worker/.xinitrc
-echo '!! start x with `xinit `'
-echo 'add "x:5:respawn:/usr/bin/slim >/dev/null 2>&1" to /etc/inittab to start slim"
-
-
diff --git a/btc/mining/bin/ati_temper b/btc/mining/bin/ati_temper
deleted file mode 100755
index 283a6024..00000000
--- a/btc/mining/bin/ati_temper
+++ /dev/null
@@ -1,5 +0,0 @@
-#displays: CARD1TEMP CARD2TEMP CPUTEMP OUTSIDE
-echo -n "`DISPLAY=:0 aticonfig --adapter=1 --od-gettemperature | grep Temperature | sed -n 's/.*Temperature - \([0-9.]*\) C/\1/;p'` "
-echo -n "`DISPLAY=:0 aticonfig --adapter=2 --od-gettemperature | grep Temperature | sed -n 's/.*Temperature - \([0-9.]*\) C/\1/;p'` "
-echo -n "`sensors | grep temp1 | sed -e 's/temp1: *+\([0-9.]*\).*/\1/'` "
-echo "`temper`"
diff --git a/btc/mining/bin/cleanup_tmp b/btc/mining/bin/cleanup_tmp
deleted file mode 100755
index e1395b19..00000000
--- a/btc/mining/bin/cleanup_tmp
+++ /dev/null
@@ -1,4 +0,0 @@
-#! /bin/sh
-ls -lAtr /tmp/ | sed -rn '
- /\.so$/{$!{s/.* ([A-Za-z0-9]+\.so)$/rm -v \/tmp\/\1/p}}
-' | sudo sh
diff --git a/btc/mining/bin/ensure-router b/btc/mining/bin/ensure-router
deleted file mode 100755
index 5eedabc9..00000000
--- a/btc/mining/bin/ensure-router
+++ /dev/null
@@ -1,36 +0,0 @@
-#! /bin/sh
-
-if test "${nosudo-false}" != true -a `id -u` != 0; then
- echo "we're going sudo..." >&2
- exec sudo "$0" "$@"
- exit 23 # go to hell
-fi
-
-if=eth2
-
-rc() {
- for x in /etc/init.d/$1 /etc/rc.d/$1; do
- if test -x $x; then
- $x restart
- break
- fi
- done
-}
-
-if ! ifconfig $if | grep -q 'inet addr'; then
- beep -l 50 -f 2500; ifconfig $if 0.0.0.0 down || :
- beep -l 50 -f 2500; ifconfig $if 23.0.0.1/8 up || :
- beep -l 50 -f 2500; rc dnsmasq restart
- beep -l 50 -f 2500; iptables -t nat -A POSTROUTING -o wlan0 -j MASQUERADE
- beep -l 50 -f 2500; iptables -t nat -A POSTROUTING -o eth2 -j MASQUERADE
- if ifconfig $if | grep -q 'inet addr'; then
- beep -l 50 -f 2500 -n -l 100 -f 3000
- else
- beep -l 50 -f 2500 -n -l 100 -f 1000
- fi
-else
- case "${1-}" in
- (--quiet) : ;;
- (*) beep -l 50 -f 2500 -n -l 100 -f 2500 ;;
- esac
-fi
diff --git a/btc/mining/bin/ensure-wlan0 b/btc/mining/bin/ensure-wlan0
deleted file mode 100755
index fa92c4f5..00000000
--- a/btc/mining/bin/ensure-wlan0
+++ /dev/null
@@ -1,41 +0,0 @@
-#! /bin/sh
-
-if test "${nosudo-false}" != true -a `id -u` != 0; then
- echo "we're going sudo..." >&2
- exec sudo -E "$0" "$@"
- exit 23 # go to hell
-fi
-
-has_internet() {
- curl -sS google.com >/dev/null
-}
-
-if test "${force-false}" = true || ! has_internet; then
-
- ## get rid of the fuckers
- for fucker in NetworkManager nm-applet; do
- pkill -9 $fucker
- (IFS=:; for dir in $PATH; do rm -vf $dir/$fucker; done)
- done
-
- beep -l 50 -f 2000; pkill wpa
- beep -l 50 -f 2000; rm -vf /var/run/wpa_supplicant/*
- beep -l 50 -f 2000; wpa_supplicant -i wlan0 -c /etc/wpa_supplicant/wpa_supplicant.conf &
- while ! wpa_cli status | grep -q wpa_state=COMPLETED; do
- beep -l 50 -f 2000 -D 50 -n -l 50 -f 2000
- sleep 1
- done
- beep -l 50 -f 2000; dhcpcd -x wlan0
- beep -l 50 -f 2000; dhcpcd wlan0
- #echo nameserver 8.8.8.8 >/etc/resolv.conf
- if has_internet; then
- beep -l 50 -f 2000 -n -l 100 -f 3000
- else
- beep -l 50 -f 2000 -n -l 100 -f 1000
- fi
-else
- case "${1-}" in
- (--quiet) : ;;
- (*) beep -l 50 -f 2000 -n -l 100 -f 2000 ;;
- esac
-fi
diff --git a/btc/mining/poll_btcguild b/btc/mining/poll_btcguild
deleted file mode 100644
index 92a02657..00000000
--- a/btc/mining/poll_btcguild
+++ /dev/null
@@ -1,2 +0,0 @@
-API_KEY=
-curl http://www.btcguild.com/api.php\?api_key\=${API_KEY} | python -mjson.tool
diff --git a/btc/mining/user/.config/autostart/startup.desktop b/btc/mining/user/.config/autostart/startup.desktop
deleted file mode 100644
index 67c35ef8..00000000
--- a/btc/mining/user/.config/autostart/startup.desktop
+++ /dev/null
@@ -1,6 +0,0 @@
-[Desktop Entry]
-Name=LXDE Autostart
-Exec=/home/user/startup.sh
-Terminal=true
-Type=Application
-Categories=Configuration
diff --git a/btc/mining/user/mining.ovdr b/btc/mining/user/mining.ovdr
deleted file mode 100644
index d6cf6fec..00000000
--- a/btc/mining/user/mining.ovdr
+++ /dev/null
@@ -1,16 +0,0 @@
-<?xml version="1.0" encoding="utf-8"?>
-<OVERDRIVE_PROFILE>
- <PERFORMANCE_LEVEL level="2" gpu="90000" mem="30000" voltage="1040"/>
- <PERFORMANCE_LEVEL level="1" gpu="55000" mem="30000" voltage="1000"/>
- <PERFORMANCE_LEVEL level="0" gpu="15700" mem="30000" voltage="950"/>
- <FAN_SETTING percentage="AUTO"/>
- <FAN_CTRL enabled="yes"/>
- <FAN_CTRL_CURVE type="0"/>
- <FAN_CTRL_POINT nr="0" temperature="2000" percentage="0"/>
- <FAN_CTRL_POINT nr="1" temperature="3400" percentage="9300"/>
- <FAN_CTRL_POINT nr="2" temperature="4800" percentage="10000"/>
- <FAN_CTRL_POINT nr="3" temperature="7000" percentage="10100"/>
- <FAN_CTRL_POINT nr="4" temperature="10000" percentage="10100"/>
- <MONITOR_SAMPLE_TIME interval="10"/>
- <COLOR_PROFILE enabled="no" longitude="-13.000000" latitude="52.000000" color_temp_day="0" color_temp_night="0" transition="30"/>
-</OVERDRIVE_PROFILE>
diff --git a/btc/mining/user/startup.sh b/btc/mining/user/startup.sh
deleted file mode 100755
index 6274a892..00000000
--- a/btc/mining/user/startup.sh
+++ /dev/null
@@ -1,13 +0,0 @@
-sudo pkill tmux
-sleep 5
-source ~/.profile
-export DISPLAY=:0
-export URL="${URL-http://txgen_chinaman:lolwut@uk.btcguild.com:8332}"
-#export URL="http://txgen:qJrXefWX@bitcoinpool.com:8334"
-tmux start-server
-tmux new-session -d -s mining -n mining
-tmux new-window -t mining:1 'cd ~;AMDOverdriveCtrl -i 0 mining.ovdr'
-tmux new-window -t mining:2 'cd ~;AMDOverdriveCtrl -i 3 mining.ovdr'
-sleep 5
-tmux new-window -t mining:3 "cd /usr/src/phoenix-miner/; while sleep 1; do sudo ./phoenix.py -u $URL -k phatk DEVICE=0 VECTORS BFI_INT WORKSIZE=256 AGGRESSION=12 FASTLOOPS=false;done"
-tmux new-window -t mining:4 "cd /usr/src/phoenix-miner/; while sleep 1; do sudo ./phoenix.py -u $URL -k phatk DEVICE=1 VECTORS BFI_INT WORKSIZE=256 AGGRESSION=12 FASTLOOPS=false;done"
diff --git a/btc/mtgox/json_ticker_helper.py b/btc/mtgox/json_ticker_helper.py
deleted file mode 100755
index 727dd594..00000000
--- a/btc/mtgox/json_ticker_helper.py
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/usr/bin/python
-
-import json,sys
-
-result = json.load(sys.stdin)
-
-print "High: " + str(result["ticker"]["high"]) + " Low: " + str(result["ticker"]["low"]) + " Last: " + str(result["ticker"]["last"])
diff --git a/btc/mtgox/mtgox.getDepth b/btc/mtgox/mtgox.getDepth
deleted file mode 100755
index 9a607979..00000000
--- a/btc/mtgox/mtgox.getDepth
+++ /dev/null
@@ -1,3 +0,0 @@
-#! /bin/sh
-# get mtgox market depth
-$ curl -ksS https://mtgox.com/code/data/getDepth.php
diff --git a/btc/mtgox/mtgox.getTrades b/btc/mtgox/mtgox.getTrades
deleted file mode 100755
index 73e5a68d..00000000
--- a/btc/mtgox/mtgox.getTrades
+++ /dev/null
@@ -1,3 +0,0 @@
-#! /bin/sh
-# get mtgox last trades
-$ curl -ksS https://mtgox.com/code/data/getTrades.phl
diff --git a/btc/mtgox/mtgox.ticker b/btc/mtgox/mtgox.ticker
deleted file mode 100755
index b24dfb35..00000000
--- a/btc/mtgox/mtgox.ticker
+++ /dev/null
@@ -1,4 +0,0 @@
-#! /bin/sh
-# get mtgox ticker data
-set -euf
-curl -ksS https://mtgox.com/code/data/ticker.php
diff --git a/btc/mtgox/ticker_text.sh b/btc/mtgox/ticker_text.sh
deleted file mode 100755
index 2bcac134..00000000
--- a/btc/mtgox/ticker_text.sh
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-dirname=`dirname $(readlink -f $0)`
-$dirname/mtgox.ticker | python $dirname/json_ticker_helper.py